Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 4697 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Jun 25, 2005, 11:41:14 AM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: compiling again on Windows (this was pain)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r4672 r4697  
    16021602fi
    16031603
    1604 if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
     1604if mkdir -p -- . 2>/dev/null; then
    16051605  # Keeping the `.' argument allows $(mkdir_p) to be used without
    16061606  # argument.  Indeed, we sometimes output rules like
     
    16151615  # directories to create, and then abort because `.' already
    16161616  # exists.
    1617   for d in ./-p ./--version;
     1617  for d in ./-p ./--;
    16181618  do
    16191619    test -d $d && rmdir $d
     
    25212521    for i in 1 2 3 4 5 6; do
    25222522      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    2523       # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
    2524       # Solaris 8's {/usr,}/bin/sh.
    2525       touch sub/conftst$i.h
     2523      : > sub/conftst$i.h
    25262524    done
    25272525    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    25512549       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    25522550      # icc doesn't choke on unknown options, it will just issue warnings
    2553       # or remarks (even with -Werror).  So we grep stderr for any message
    2554       # that says an option was ignored or not supported.
    2555       # When given -MP, icc 7.0 and 7.1 complain thusly:
    2556       #   icc: Command line warning: ignoring option '-M'; no argument required
    2557       # The diagnosis changed in icc 8.0:
    2558       #   icc: Command line remark: option '-MP' not supported
    2559       if (grep 'ignoring option' conftest.err ||
    2560           grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
     2551      # (even with -Werror).  So we grep stderr for any message
     2552      # that says an option was ignored.
     2553      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
    25612554        am_cv_CXX_dependencies_compiler_type=$depmode
    25622555        break
     
    34393432    for i in 1 2 3 4 5 6; do
    34403433      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    3441       # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
    3442       # Solaris 8's {/usr,}/bin/sh.
    3443       touch sub/conftst$i.h
     3434      : > sub/conftst$i.h
    34443435    done
    34453436    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    34693460       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    34703461      # icc doesn't choke on unknown options, it will just issue warnings
    3471       # or remarks (even with -Werror).  So we grep stderr for any message
    3472       # that says an option was ignored or not supported.
    3473       # When given -MP, icc 7.0 and 7.1 complain thusly:
    3474       #   icc: Command line warning: ignoring option '-M'; no argument required
    3475       # The diagnosis changed in icc 8.0:
    3476       #   icc: Command line remark: option '-MP' not supported
    3477       if (grep 'ignoring option' conftest.err ||
    3478           grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
     3462      # (even with -Werror).  So we grep stderr for any message
     3463      # that says an option was ignored.
     3464      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
    34793465        am_cv_CC_dependencies_compiler_type=$depmode
    34803466        break
     
    42844270    MWINDOWS="-mwindows"
    42854271
    4286 # checking gl header
    4287         #done before loop
    4288 
    4289 # checking gl header
    4290    # On IRIX 5.3, sys/types and inttypes.h are conflicting.
     4272
     4273
     4274# checking for mingw32
     4275    echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
     4276echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
     4277if test "${ac_cv_lib_mingw32_main+set}" = set; then
     4278  echo $ECHO_N "(cached) $ECHO_C" >&6
     4279else
     4280  ac_check_lib_save_LIBS=$LIBS
     4281LIBS="-lmingw32  $LIBS"
     4282cat >conftest.$ac_ext <<_ACEOF
     4283/* confdefs.h.  */
     4284_ACEOF
     4285cat confdefs.h >>conftest.$ac_ext
     4286cat >>conftest.$ac_ext <<_ACEOF
     4287/* end confdefs.h.  */
     4288
     4289
     4290int
     4291main ()
     4292{
     4293main ();
     4294  ;
     4295  return 0;
     4296}
     4297_ACEOF
     4298rm -f conftest.$ac_objext conftest$ac_exeext
     4299if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4300  (eval $ac_link) 2>conftest.er1
     4301  ac_status=$?
     4302  grep -v '^ *+' conftest.er1 >conftest.err
     4303  rm -f conftest.er1
     4304  cat conftest.err >&5
     4305  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4306  (exit $ac_status); } &&
     4307         { ac_try='test -z "$ac_c_werror_flag"
     4308                         || test ! -s conftest.err'
     4309  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4310  (eval $ac_try) 2>&5
     4311  ac_status=$?
     4312  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4313  (exit $ac_status); }; } &&
     4314         { ac_try='test -s conftest$ac_exeext'
     4315  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4316  (eval $ac_try) 2>&5
     4317  ac_status=$?
     4318  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4319  (exit $ac_status); }; }; then
     4320  ac_cv_lib_mingw32_main=yes
     4321else
     4322  echo "$as_me: failed program was:" >&5
     4323sed 's/^/| /' conftest.$ac_ext >&5
     4324
     4325ac_cv_lib_mingw32_main=no
     4326fi
     4327rm -f conftest.err conftest.$ac_objext \
     4328      conftest$ac_exeext conftest.$ac_ext
     4329LIBS=$ac_check_lib_save_LIBS
     4330fi
     4331echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
     4332echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
     4333if test $ac_cv_lib_mingw32_main = yes; then
     4334  FOUND_mingw32=yes
     4335fi
     4336
     4337    if test x$FOUND_mingw32 = xyes; then
     4338        LIBS="$LIBS -lmingw32"
     4339    fi
     4340
     4341#-----------#
     4342# SDL (win) #
     4343#-----------#
     4344# checking for SDL-headers
     4345    # On IRIX 5.3, sys/types and inttypes.h are conflicting.
    42914346
    42924347
     
    43614416
    43624417
    4363 for ac_header in GL/gl.h
     4418for ac_header in SDL/SDL.h
    43644419do
    43654420as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    45074562
    45084563else
    4509   { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
    4510 echo "$as_me: error: cannot find opengl headers" >&2;}
     4564  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     4565echo "$as_me: error: cannot find SDL headers" >&2;}
    45114566   { (exit 1); exit 1; }; }
    45124567fi
     
    45144569done
    45154570
    4516 #   checking for Windows openGl library
    4517     echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
    4518 echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
    4519 if test "${ac_cv_lib_opengl32_main+set}" = set; then
     4571
     4572#checking for libSDL
     4573    echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
     4574echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
     4575if test "${ac_cv_lib_sdlmain_main+set}" = set; then
    45204576  echo $ECHO_N "(cached) $ECHO_C" >&6
    45214577else
    45224578  ac_check_lib_save_LIBS=$LIBS
    4523 LIBS="-lopengl32  $LIBS"
     4579LIBS="-lsdlmain  $LIBS"
    45244580cat >conftest.$ac_ext <<_ACEOF
    45254581/* confdefs.h.  */
     
    45604616  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    45614617  (exit $ac_status); }; }; then
    4562   ac_cv_lib_opengl32_main=yes
     4618  ac_cv_lib_sdlmain_main=yes
    45634619else
    45644620  echo "$as_me: failed program was:" >&5
    45654621sed 's/^/| /' conftest.$ac_ext >&5
    45664622
    4567 ac_cv_lib_opengl32_main=no
     4623ac_cv_lib_sdlmain_main=no
    45684624fi
    45694625rm -f conftest.err conftest.$ac_objext \
     
    45714627LIBS=$ac_check_lib_save_LIBS
    45724628fi
    4573 echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_main" >&5
    4574 echo "${ECHO_T}$ac_cv_lib_opengl32_main" >&6
    4575 if test $ac_cv_lib_opengl32_main = yes; then
    4576   FOUND_opengl32=yes
    4577 else
    4578   "gl/gl.h"
    4579 fi
    4580 
    4581     if test x$FOUND_opengl32 = xyes ; then
    4582         LIBS="$LIBS -lopengl32"
     4629echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
     4630echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
     4631if test $ac_cv_lib_sdlmain_main = yes; then
     4632  FOUND_sdlmain=yes
     4633fi
     4634
     4635    if test x$FOUND_sdlmain = xyes ; then
     4636       LIBS="$LIBS -lsdlmain"
    45834637    else
    4584          echo "------------------"
    4585          echo "opengl not found."
    4586          echo "please install the opengl package which can be found at http://www.opengl.org"
    4587          echo "------------------"
    4588          exit -1
     4638        echo "------------------"
     4639        echo "SDL library not found."
     4640        echo "please install the SDL library, which can be found at http://www.libsdl.org"
     4641        echo "------------------"
     4642        exit 1
    45894643    fi
    4590 
    4591 # cheking for GLU-header
    4592 
    4593 for ac_header in GL/glu.h
     4644    echo "$as_me:$LINENO: checking for main in -lsdl" >&5
     4645echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
     4646if test "${ac_cv_lib_sdl_main+set}" = set; then
     4647  echo $ECHO_N "(cached) $ECHO_C" >&6
     4648else
     4649  ac_check_lib_save_LIBS=$LIBS
     4650LIBS="-lsdl  $LIBS"
     4651cat >conftest.$ac_ext <<_ACEOF
     4652/* confdefs.h.  */
     4653_ACEOF
     4654cat confdefs.h >>conftest.$ac_ext
     4655cat >>conftest.$ac_ext <<_ACEOF
     4656/* end confdefs.h.  */
     4657
     4658
     4659int
     4660main ()
     4661{
     4662main ();
     4663  ;
     4664  return 0;
     4665}
     4666_ACEOF
     4667rm -f conftest.$ac_objext conftest$ac_exeext
     4668if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4669  (eval $ac_link) 2>conftest.er1
     4670  ac_status=$?
     4671  grep -v '^ *+' conftest.er1 >conftest.err
     4672  rm -f conftest.er1
     4673  cat conftest.err >&5
     4674  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4675  (exit $ac_status); } &&
     4676         { ac_try='test -z "$ac_c_werror_flag"
     4677                         || test ! -s conftest.err'
     4678  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4679  (eval $ac_try) 2>&5
     4680  ac_status=$?
     4681  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4682  (exit $ac_status); }; } &&
     4683         { ac_try='test -s conftest$ac_exeext'
     4684  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4685  (eval $ac_try) 2>&5
     4686  ac_status=$?
     4687  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4688  (exit $ac_status); }; }; then
     4689  ac_cv_lib_sdl_main=yes
     4690else
     4691  echo "$as_me: failed program was:" >&5
     4692sed 's/^/| /' conftest.$ac_ext >&5
     4693
     4694ac_cv_lib_sdl_main=no
     4695fi
     4696rm -f conftest.err conftest.$ac_objext \
     4697      conftest$ac_exeext conftest.$ac_ext
     4698LIBS=$ac_check_lib_save_LIBS
     4699fi
     4700echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
     4701echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
     4702if test $ac_cv_lib_sdl_main = yes; then
     4703  FOUND_sdl=yes
     4704fi
     4705
     4706    if test x$FOUND_sdl = xyes ; then
     4707       LIBS="$LIBS -lsdl"
     4708    else
     4709        echo "------------------"
     4710        echo "SDL library not found."
     4711        echo "please install the SDL library, which can be found at http://www.libsdl.org"
     4712        echo "------------------"
     4713        exit -1
     4714    fi
     4715
     4716#---------------#
     4717# open-GL (win) #
     4718#---------------#
     4719# checking gl header
     4720
     4721for ac_header in GL/gl.h
    45944722do
    45954723as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    47444872done
    47454873
    4746 
    4747 # checking for libGLU
    4748     echo "$as_me:$LINENO: checking for main in -lglu32" >&5
    4749 echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
    4750 if test "${ac_cv_lib_glu32_main+set}" = set; then
     4874#   checking for Windows openGl library
     4875    echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
     4876echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
     4877if test "${ac_cv_lib_opengl32_main+set}" = set; then
    47514878  echo $ECHO_N "(cached) $ECHO_C" >&6
    47524879else
    47534880  ac_check_lib_save_LIBS=$LIBS
    4754 LIBS="-lglu32  $LIBS"
     4881LIBS="-lopengl32  $LIBS"
    47554882cat >conftest.$ac_ext <<_ACEOF
    47564883/* confdefs.h.  */
     
    47914918  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    47924919  (exit $ac_status); }; }; then
    4793   ac_cv_lib_glu32_main=yes
     4920  ac_cv_lib_opengl32_main=yes
    47944921else
    47954922  echo "$as_me: failed program was:" >&5
    47964923sed 's/^/| /' conftest.$ac_ext >&5
    47974924
    4798 ac_cv_lib_glu32_main=no
     4925ac_cv_lib_opengl32_main=no
    47994926fi
    48004927rm -f conftest.err conftest.$ac_objext \
     
    48024929LIBS=$ac_check_lib_save_LIBS
    48034930fi
    4804 echo "$as_me:$LINENO: result: $ac_cv_lib_glu32_main" >&5
    4805 echo "${ECHO_T}$ac_cv_lib_glu32_main" >&6
    4806 if test $ac_cv_lib_glu32_main = yes; then
    4807   FOUND_glu32=yes
    4808 fi
    4809 
    4810     if test x$FOUND_glu32 = xyes ; then
    4811         LIBS="$LIBS -lGLU32"
     4931echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_main" >&5
     4932echo "${ECHO_T}$ac_cv_lib_opengl32_main" >&6
     4933if test $ac_cv_lib_opengl32_main = yes; then
     4934  FOUND_opengl32=yes
     4935else
     4936  "gl/gl.h"
     4937fi
     4938
     4939    if test x$FOUND_opengl32 = xyes ; then
     4940        LIBS="$LIBS -lopengl32"
    48124941    else
    48134942         echo "------------------"
    4814          echo "GLU library not found."
    4815          echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     4943         echo "opengl not found."
     4944         echo "please install the opengl package which can be found at http://www.opengl.org"
    48164945         echo "------------------"
    48174946         exit -1
    48184947    fi
    48194948
    4820 # checking for mingw32
    4821     echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
    4822 echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
    4823 if test "${ac_cv_lib_mingw32_main+set}" = set; then
    4824   echo $ECHO_N "(cached) $ECHO_C" >&6
    4825 else
    4826   ac_check_lib_save_LIBS=$LIBS
    4827 LIBS="-lmingw32  $LIBS"
    4828 cat >conftest.$ac_ext <<_ACEOF
    4829 /* confdefs.h.  */
    4830 _ACEOF
    4831 cat confdefs.h >>conftest.$ac_ext
    4832 cat >>conftest.$ac_ext <<_ACEOF
    4833 /* end confdefs.h.  */
    4834 
    4835 
    4836 int
    4837 main ()
    4838 {
    4839 main ();
    4840   ;
    4841   return 0;
    4842 }
    4843 _ACEOF
    4844 rm -f conftest.$ac_objext conftest$ac_exeext
    4845 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4846   (eval $ac_link) 2>conftest.er1
    4847   ac_status=$?
    4848   grep -v '^ *+' conftest.er1 >conftest.err
    4849   rm -f conftest.er1
    4850   cat conftest.err >&5
    4851   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4852   (exit $ac_status); } &&
    4853          { ac_try='test -z "$ac_c_werror_flag"
    4854                          || test ! -s conftest.err'
    4855   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4856   (eval $ac_try) 2>&5
    4857   ac_status=$?
    4858   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4859   (exit $ac_status); }; } &&
    4860          { ac_try='test -s conftest$ac_exeext'
    4861   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4862   (eval $ac_try) 2>&5
    4863   ac_status=$?
    4864   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4865   (exit $ac_status); }; }; then
    4866   ac_cv_lib_mingw32_main=yes
    4867 else
    4868   echo "$as_me: failed program was:" >&5
    4869 sed 's/^/| /' conftest.$ac_ext >&5
    4870 
    4871 ac_cv_lib_mingw32_main=no
    4872 fi
    4873 rm -f conftest.err conftest.$ac_objext \
    4874       conftest$ac_exeext conftest.$ac_ext
    4875 LIBS=$ac_check_lib_save_LIBS
    4876 fi
    4877 echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
    4878 echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
    4879 if test $ac_cv_lib_mingw32_main = yes; then
    4880   FOUND_mingw32=yes
    4881 fi
    4882 
    4883     if test x$FOUND_mingw32 = xyes; then
    4884         LIBS="$LIBS -lmingw32"
    4885     fi
    4886 # checking for SDL-headers
    4887 
    4888 for ac_header in SDL/SDL.h
     4949# cheking for GLU-header
     4950
     4951for ac_header in GL/glu.h
    48894952do
    48904953as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    50325095
    50335096else
    5034   { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
    5035 echo "$as_me: error: cannot find SDL headers" >&2;}
     5097  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     5098echo "$as_me: error: cannot find opengl headers" >&2;}
    50365099   { (exit 1); exit 1; }; }
    50375100fi
     
    50405103
    50415104
    5042 #checking for libSDL
    5043     echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
    5044 echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
    5045 if test "${ac_cv_lib_sdlmain_main+set}" = set; then
     5105# checking for libGLU
     5106    echo "$as_me:$LINENO: checking for main in -lglu32" >&5
     5107echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
     5108if test "${ac_cv_lib_glu32_main+set}" = set; then
    50465109  echo $ECHO_N "(cached) $ECHO_C" >&6
    50475110else
    50485111  ac_check_lib_save_LIBS=$LIBS
    5049 LIBS="-lsdlmain  $LIBS"
     5112LIBS="-lglu32  $LIBS"
    50505113cat >conftest.$ac_ext <<_ACEOF
    50515114/* confdefs.h.  */
     
    50865149  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    50875150  (exit $ac_status); }; }; then
    5088   ac_cv_lib_sdlmain_main=yes
     5151  ac_cv_lib_glu32_main=yes
    50895152else
    50905153  echo "$as_me: failed program was:" >&5
    50915154sed 's/^/| /' conftest.$ac_ext >&5
    50925155
    5093 ac_cv_lib_sdlmain_main=no
     5156ac_cv_lib_glu32_main=no
    50945157fi
    50955158rm -f conftest.err conftest.$ac_objext \
     
    50975160LIBS=$ac_check_lib_save_LIBS
    50985161fi
    5099 echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
    5100 echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
    5101 if test $ac_cv_lib_sdlmain_main = yes; then
    5102   FOUND_sdlmain=yes
    5103 fi
    5104 
    5105     if test x$FOUND_sdlmain = xyes ; then
    5106        LIBS="$LIBS -lsdlmain"
     5162echo "$as_me:$LINENO: result: $ac_cv_lib_glu32_main" >&5
     5163echo "${ECHO_T}$ac_cv_lib_glu32_main" >&6
     5164if test $ac_cv_lib_glu32_main = yes; then
     5165  FOUND_glu32=yes
     5166fi
     5167
     5168    if test x$FOUND_glu32 = xyes ; then
     5169        LIBS="$LIBS -lGLU32"
    51075170    else
    5108         echo "------------------"
    5109         echo "SDL library not found."
    5110         echo "please install the SDL library, which can be found at http://www.libsdl.org"
    5111         echo "------------------"
    5112         exit 1
     5171         echo "------------------"
     5172         echo "GLU library not found."
     5173         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     5174         echo "------------------"
     5175         exit -1
    51135176    fi
    5114     echo "$as_me:$LINENO: checking for main in -lsdl" >&5
    5115 echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
    5116 if test "${ac_cv_lib_sdl_main+set}" = set; then
    5117   echo $ECHO_N "(cached) $ECHO_C" >&6
    5118 else
    5119   ac_check_lib_save_LIBS=$LIBS
    5120 LIBS="-lsdl  $LIBS"
    5121 cat >conftest.$ac_ext <<_ACEOF
    5122 /* confdefs.h.  */
    5123 _ACEOF
    5124 cat confdefs.h >>conftest.$ac_ext
    5125 cat >>conftest.$ac_ext <<_ACEOF
    5126 /* end confdefs.h.  */
    5127 
    5128 
    5129 int
    5130 main ()
    5131 {
    5132 main ();
    5133   ;
    5134   return 0;
    5135 }
    5136 _ACEOF
    5137 rm -f conftest.$ac_objext conftest$ac_exeext
    5138 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5139   (eval $ac_link) 2>conftest.er1
    5140   ac_status=$?
    5141   grep -v '^ *+' conftest.er1 >conftest.err
    5142   rm -f conftest.er1
    5143   cat conftest.err >&5
    5144   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5145   (exit $ac_status); } &&
    5146          { ac_try='test -z "$ac_c_werror_flag"
    5147                          || test ! -s conftest.err'
    5148   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5149   (eval $ac_try) 2>&5
    5150   ac_status=$?
    5151   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5152   (exit $ac_status); }; } &&
    5153          { ac_try='test -s conftest$ac_exeext'
    5154   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5155   (eval $ac_try) 2>&5
    5156   ac_status=$?
    5157   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5158   (exit $ac_status); }; }; then
    5159   ac_cv_lib_sdl_main=yes
    5160 else
    5161   echo "$as_me: failed program was:" >&5
    5162 sed 's/^/| /' conftest.$ac_ext >&5
    5163 
    5164 ac_cv_lib_sdl_main=no
    5165 fi
    5166 rm -f conftest.err conftest.$ac_objext \
    5167       conftest$ac_exeext conftest.$ac_ext
    5168 LIBS=$ac_check_lib_save_LIBS
    5169 fi
    5170 echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
    5171 echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
    5172 if test $ac_cv_lib_sdl_main = yes; then
    5173   FOUND_sdl=yes
    5174 fi
    5175 
    5176     if test x$FOUND_sdl = xyes ; then
    5177        LIBS="$LIBS -lsdl"
    5178     else
    5179         echo "------------------"
    5180         echo "SDL library not found."
    5181         echo "please install the SDL library, which can be found at http://www.libsdl.org"
    5182         echo "------------------"
    5183         exit -1
    5184     fi
    5185 
    5186     ;;
    5187 #-------#
    5188 # LINUX #
    5189 #-------#
    5190  *-*-linux*)
    5191 echo "Linux detected"
    5192 
    5193  Linux="yes"
    5194 
    5195 CPPFLAGS="-I/usr/X11R6/include -I/usr/include"
    5196 LDFLAGS="-L/usr/lib/opengl/xorg-x11/lib -L/usr/Mesa-6.0.1/lib -L/usr/X11R6/lib $LDFLAGS"
    5197 # checking gl header
    5198 
    5199 for ac_header in GL/gl.h
     5177
     5178#--------#
     5179# openAL #
     5180#--------#
     5181# checking for openAL-headers
     5182
     5183for ac_header in AL/al.h
    52005184do
    52015185as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    53435327
    53445328else
    5345   { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
    5346 echo "$as_me: error: cannot find opengl headers" >&2;}
     5329  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
     5330echo "$as_me: error: cannot find openAL header." >&2;}
    53475331   { (exit 1); exit 1; }; }
    53485332fi
     
    53505334done
    53515335
    5352 
    5353 #  checking for Unix GL
    5354    echo "$as_me:$LINENO: checking for glLoadIdentity in -lGL" >&5
    5355 echo $ECHO_N "checking for glLoadIdentity in -lGL... $ECHO_C" >&6
    5356 if test "${ac_cv_lib_GL_glLoadIdentity+set}" = set; then
     5336# checking for openAL-lib
     5337  echo "$as_me:$LINENO: checking for main in -lOpenAL32" >&5
     5338echo $ECHO_N "checking for main in -lOpenAL32... $ECHO_C" >&6
     5339if test "${ac_cv_lib_OpenAL32_main+set}" = set; then
    53575340  echo $ECHO_N "(cached) $ECHO_C" >&6
    53585341else
    53595342  ac_check_lib_save_LIBS=$LIBS
    5360 LIBS="-lGL  $LIBS"
     5343LIBS="-lOpenAL32  $LIBS"
    53615344cat >conftest.$ac_ext <<_ACEOF
    53625345/* confdefs.h.  */
     
    53665349/* end confdefs.h.  */
    53675350
    5368 /* Override any gcc2 internal prototype to avoid an error.  */
    5369 #ifdef __cplusplus
    5370 extern "C"
    5371 #endif
    5372 /* We use char because int might match the return type of a gcc2
    5373    builtin and then its argument prototype would still apply.  */
    5374 char glLoadIdentity ();
     5351
    53755352int
    53765353main ()
    53775354{
    5378 glLoadIdentity ();
     5355main ();
    53795356  ;
    53805357  return 0;
     
    54035380  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    54045381  (exit $ac_status); }; }; then
    5405   ac_cv_lib_GL_glLoadIdentity=yes
     5382  ac_cv_lib_OpenAL32_main=yes
    54065383else
    54075384  echo "$as_me: failed program was:" >&5
    54085385sed 's/^/| /' conftest.$ac_ext >&5
    54095386
    5410 ac_cv_lib_GL_glLoadIdentity=no
     5387ac_cv_lib_OpenAL32_main=no
    54115388fi
    54125389rm -f conftest.err conftest.$ac_objext \
     
    54145391LIBS=$ac_check_lib_save_LIBS
    54155392fi
    5416 echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glLoadIdentity" >&5
    5417 echo "${ECHO_T}$ac_cv_lib_GL_glLoadIdentity" >&6
    5418 if test $ac_cv_lib_GL_glLoadIdentity = yes; then
    5419   FOUND_GL=yes
    5420 fi
    5421 
    5422    if test x$FOUND_GL = xyes ; then
    5423      LIBS="$LIBS -lGL"
    5424    else
    5425          echo "------------------"
    5426          echo "opengl not found."
    5427          echo "please install the opengl package which can be found at http://www.opengl.org"
    5428          echo "------------------"
    5429          exit -1
    5430    fi
    5431 
    5432 # cheking for GLU-header
    5433 
    5434 for ac_header in GL/glu.h
     5393echo "$as_me:$LINENO: result: $ac_cv_lib_OpenAL32_main" >&5
     5394echo "${ECHO_T}$ac_cv_lib_OpenAL32_main" >&6
     5395if test $ac_cv_lib_OpenAL32_main = yes; then
     5396  FOUND_openal=yes
     5397fi
     5398
     5399  echo "$as_me:$LINENO: checking for main in -lALut" >&5
     5400echo $ECHO_N "checking for main in -lALut... $ECHO_C" >&6
     5401if test "${ac_cv_lib_ALut_main+set}" = set; then
     5402  echo $ECHO_N "(cached) $ECHO_C" >&6
     5403else
     5404  ac_check_lib_save_LIBS=$LIBS
     5405LIBS="-lALut  $LIBS"
     5406cat >conftest.$ac_ext <<_ACEOF
     5407/* confdefs.h.  */
     5408_ACEOF
     5409cat confdefs.h >>conftest.$ac_ext
     5410cat >>conftest.$ac_ext <<_ACEOF
     5411/* end confdefs.h.  */
     5412
     5413
     5414int
     5415main ()
     5416{
     5417main ();
     5418  ;
     5419  return 0;
     5420}
     5421_ACEOF
     5422rm -f conftest.$ac_objext conftest$ac_exeext
     5423if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5424  (eval $ac_link) 2>conftest.er1
     5425  ac_status=$?
     5426  grep -v '^ *+' conftest.er1 >conftest.err
     5427  rm -f conftest.er1
     5428  cat conftest.err >&5
     5429  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5430  (exit $ac_status); } &&
     5431         { ac_try='test -z "$ac_c_werror_flag"
     5432                         || test ! -s conftest.err'
     5433  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5434  (eval $ac_try) 2>&5
     5435  ac_status=$?
     5436  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5437  (exit $ac_status); }; } &&
     5438         { ac_try='test -s conftest$ac_exeext'
     5439  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5440  (eval $ac_try) 2>&5
     5441  ac_status=$?
     5442  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5443  (exit $ac_status); }; }; then
     5444  ac_cv_lib_ALut_main=yes
     5445else
     5446  echo "$as_me: failed program was:" >&5
     5447sed 's/^/| /' conftest.$ac_ext >&5
     5448
     5449ac_cv_lib_ALut_main=no
     5450fi
     5451rm -f conftest.err conftest.$ac_objext \
     5452      conftest$ac_exeext conftest.$ac_ext
     5453LIBS=$ac_check_lib_save_LIBS
     5454fi
     5455echo "$as_me:$LINENO: result: $ac_cv_lib_ALut_main" >&5
     5456echo "${ECHO_T}$ac_cv_lib_ALut_main" >&6
     5457if test $ac_cv_lib_ALut_main = yes; then
     5458  FOUND_ALut=yes
     5459fi
     5460
     5461     if test x$FOUND_openal = xyes ; then
     5462      if test x$FOUND_ALut = xyes ; then
     5463       LIBS="$LIBS -lALut -lOpenAL32"
     5464     else
     5465        echo "------------------"
     5466        echo "openal library not found."
     5467        echo "please install the openal library, which can be found at http://www.openal.org"
     5468        echo "------------------"
     5469        exit -1
     5470      fi
     5471     fi
     5472    ;;
     5473#-------#
     5474# LINUX #
     5475#-------#
     5476 *-*-linux*)
     5477echo "Linux detected"
     5478
     5479 Linux="yes"
     5480
     5481CPPFLAGS="-I/usr/X11R6/include -I/usr/include"
     5482LDFLAGS="-L/usr/lib/opengl/xorg-x11/lib -L/usr/Mesa-6.0.1/lib -L/usr/X11R6/lib $LDFLAGS"
     5483# checking gl header
     5484
     5485for ac_header in GL/gl.h
    54355486do
    54365487as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    55865637
    55875638
    5588     echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
    5589 echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
    5590 if test "${ac_cv_lib_GLU_gluProject+set}" = set; then
     5639#  checking for Unix GL
     5640   echo "$as_me:$LINENO: checking for glLoadIdentity in -lGL" >&5
     5641echo $ECHO_N "checking for glLoadIdentity in -lGL... $ECHO_C" >&6
     5642if test "${ac_cv_lib_GL_glLoadIdentity+set}" = set; then
    55915643  echo $ECHO_N "(cached) $ECHO_C" >&6
    55925644else
    55935645  ac_check_lib_save_LIBS=$LIBS
    5594 LIBS="-lGLU  $LIBS"
     5646LIBS="-lGL  $LIBS"
    55955647cat >conftest.$ac_ext <<_ACEOF
    55965648/* confdefs.h.  */
     
    56065658/* We use char because int might match the return type of a gcc2
    56075659   builtin and then its argument prototype would still apply.  */
    5608 char gluProject ();
     5660char glLoadIdentity ();
    56095661int
    56105662main ()
    56115663{
    5612 gluProject ();
     5664glLoadIdentity ();
    56135665  ;
    56145666  return 0;
     
    56375689  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    56385690  (exit $ac_status); }; }; then
    5639   ac_cv_lib_GLU_gluProject=yes
     5691  ac_cv_lib_GL_glLoadIdentity=yes
    56405692else
    56415693  echo "$as_me: failed program was:" >&5
    56425694sed 's/^/| /' conftest.$ac_ext >&5
    56435695
    5644 ac_cv_lib_GLU_gluProject=no
     5696ac_cv_lib_GL_glLoadIdentity=no
    56455697fi
    56465698rm -f conftest.err conftest.$ac_objext \
     
    56485700LIBS=$ac_check_lib_save_LIBS
    56495701fi
    5650 echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_gluProject" >&5
    5651 echo "${ECHO_T}$ac_cv_lib_GLU_gluProject" >&6
    5652 if test $ac_cv_lib_GLU_gluProject = yes; then
    5653   FOUND_GLU=yes
    5654 fi
    5655 
    5656     if test x$FOUND_GLU = xyes ; then
    5657       LIBS="$LIBS -lGLU"
    5658     else
     5702echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glLoadIdentity" >&5
     5703echo "${ECHO_T}$ac_cv_lib_GL_glLoadIdentity" >&6
     5704if test $ac_cv_lib_GL_glLoadIdentity = yes; then
     5705  FOUND_GL=yes
     5706fi
     5707
     5708   if test x$FOUND_GL = xyes ; then
     5709     LIBS="$LIBS -lGL"
     5710   else
    56595711         echo "------------------"
    5660          echo "GLU library not found."
    5661          echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     5712         echo "opengl not found."
     5713         echo "please install the opengl package which can be found at http://www.opengl.org"
    56625714         echo "------------------"
    56635715         exit -1
    5664     fi
    5665 
    5666 # checking for SDL
    5667   echo "$as_me:$LINENO: checking for SDL-version" >&5
    5668 echo $ECHO_N "checking for SDL-version... $ECHO_C" >&6
    5669   SDL_VERSION=`sdl-config --version`
    5670   echo $SDL_VERSION
    5671 
    5672    CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
    5673 
    5674 for ac_header in SDL.h
     5716   fi
     5717
     5718# cheking for GLU-header
     5719
     5720for ac_header in GL/glu.h
    56755721do
    56765722as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    58185864
    58195865else
    5820 
    5821 for ac_header in SDL/SDL.h
     5866  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     5867echo "$as_me: error: cannot find opengl headers" >&2;}
     5868   { (exit 1); exit 1; }; }
     5869fi
     5870
     5871done
     5872
     5873
     5874    echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
     5875echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
     5876if test "${ac_cv_lib_GLU_gluProject+set}" = set; then
     5877  echo $ECHO_N "(cached) $ECHO_C" >&6
     5878else
     5879  ac_check_lib_save_LIBS=$LIBS
     5880LIBS="-lGLU  $LIBS"
     5881cat >conftest.$ac_ext <<_ACEOF
     5882/* confdefs.h.  */
     5883_ACEOF
     5884cat confdefs.h >>conftest.$ac_ext
     5885cat >>conftest.$ac_ext <<_ACEOF
     5886/* end confdefs.h.  */
     5887
     5888/* Override any gcc2 internal prototype to avoid an error.  */
     5889#ifdef __cplusplus
     5890extern "C"
     5891#endif
     5892/* We use char because int might match the return type of a gcc2
     5893   builtin and then its argument prototype would still apply.  */
     5894char gluProject ();
     5895int
     5896main ()
     5897{
     5898gluProject ();
     5899  ;
     5900  return 0;
     5901}
     5902_ACEOF
     5903rm -f conftest.$ac_objext conftest$ac_exeext
     5904if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5905  (eval $ac_link) 2>conftest.er1
     5906  ac_status=$?
     5907  grep -v '^ *+' conftest.er1 >conftest.err
     5908  rm -f conftest.er1
     5909  cat conftest.err >&5
     5910  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5911  (exit $ac_status); } &&
     5912         { ac_try='test -z "$ac_c_werror_flag"
     5913                         || test ! -s conftest.err'
     5914  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5915  (eval $ac_try) 2>&5
     5916  ac_status=$?
     5917  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5918  (exit $ac_status); }; } &&
     5919         { ac_try='test -s conftest$ac_exeext'
     5920  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5921  (eval $ac_try) 2>&5
     5922  ac_status=$?
     5923  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5924  (exit $ac_status); }; }; then
     5925  ac_cv_lib_GLU_gluProject=yes
     5926else
     5927  echo "$as_me: failed program was:" >&5
     5928sed 's/^/| /' conftest.$ac_ext >&5
     5929
     5930ac_cv_lib_GLU_gluProject=no
     5931fi
     5932rm -f conftest.err conftest.$ac_objext \
     5933      conftest$ac_exeext conftest.$ac_ext
     5934LIBS=$ac_check_lib_save_LIBS
     5935fi
     5936echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_gluProject" >&5
     5937echo "${ECHO_T}$ac_cv_lib_GLU_gluProject" >&6
     5938if test $ac_cv_lib_GLU_gluProject = yes; then
     5939  FOUND_GLU=yes
     5940fi
     5941
     5942    if test x$FOUND_GLU = xyes ; then
     5943      LIBS="$LIBS -lGLU"
     5944    else
     5945         echo "------------------"
     5946         echo "GLU library not found."
     5947         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     5948         echo "------------------"
     5949         exit -1
     5950    fi
     5951
     5952#--------#
     5953# openAL #
     5954#--------#
     5955# checking for openAL-headers
     5956
     5957for ac_header in AL/al.h
    58225958do
    58235959as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    59656101
    59666102else
    5967   { { echo "$as_me:$LINENO: error: cannot find SDL header. please download from libsdl.org" >&5
    5968 echo "$as_me: error: cannot find SDL header. please download from libsdl.org" >&2;}
     6103  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
     6104echo "$as_me: error: cannot find openAL header." >&2;}
    59696105   { (exit 1); exit 1; }; }
    59706106fi
     
    59726108done
    59736109
    5974 fi
    5975 
    5976 done
    5977 
    5978 
    5979    LIBS="`sdl-config --libs` $LIBS"
    5980     ;;
    5981 
    5982 #-----------#
    5983 # MAC -OS X #
    5984 #-----------#
    5985  *darwin*)
    5986  echo "OS X detected"
    5987 
    5988  osX="yes"
    5989 
    5990  CPPFLAGS="-I/sw/include -I/sw/include $CPPFLAGS"
    5991 # checking gl header
    5992 
    5993 for ac_header in OpenGL/gl.h
     6110# checking for openAL-lib
     6111  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
     6112echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
     6113if test "${ac_cv_lib_openal_main+set}" = set; then
     6114  echo $ECHO_N "(cached) $ECHO_C" >&6
     6115else
     6116  ac_check_lib_save_LIBS=$LIBS
     6117LIBS="-lopenal  $LIBS"
     6118cat >conftest.$ac_ext <<_ACEOF
     6119/* confdefs.h.  */
     6120_ACEOF
     6121cat confdefs.h >>conftest.$ac_ext
     6122cat >>conftest.$ac_ext <<_ACEOF
     6123/* end confdefs.h.  */
     6124
     6125
     6126int
     6127main ()
     6128{
     6129main ();
     6130  ;
     6131  return 0;
     6132}
     6133_ACEOF
     6134rm -f conftest.$ac_objext conftest$ac_exeext
     6135if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6136  (eval $ac_link) 2>conftest.er1
     6137  ac_status=$?
     6138  grep -v '^ *+' conftest.er1 >conftest.err
     6139  rm -f conftest.er1
     6140  cat conftest.err >&5
     6141  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6142  (exit $ac_status); } &&
     6143         { ac_try='test -z "$ac_c_werror_flag"
     6144                         || test ! -s conftest.err'
     6145  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6146  (eval $ac_try) 2>&5
     6147  ac_status=$?
     6148  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6149  (exit $ac_status); }; } &&
     6150         { ac_try='test -s conftest$ac_exeext'
     6151  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6152  (eval $ac_try) 2>&5
     6153  ac_status=$?
     6154  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6155  (exit $ac_status); }; }; then
     6156  ac_cv_lib_openal_main=yes
     6157else
     6158  echo "$as_me: failed program was:" >&5
     6159sed 's/^/| /' conftest.$ac_ext >&5
     6160
     6161ac_cv_lib_openal_main=no
     6162fi
     6163rm -f conftest.err conftest.$ac_objext \
     6164      conftest$ac_exeext conftest.$ac_ext
     6165LIBS=$ac_check_lib_save_LIBS
     6166fi
     6167echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
     6168echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
     6169if test $ac_cv_lib_openal_main = yes; then
     6170  FOUND_openal=yes
     6171fi
     6172
     6173     if test x$FOUND_openal = xyes ; then
     6174       LIBS="$LIBS -lopenal"
     6175     else
     6176        echo "------------------"
     6177        echo "openal library not found."
     6178        echo "please install the openal library, which can be found at http://www.openal.org"
     6179        echo "------------------"
     6180        exit -1
     6181     fi
     6182
     6183# checking for SDL
     6184  echo "$as_me:$LINENO: checking for SDL-version" >&5
     6185echo $ECHO_N "checking for SDL-version... $ECHO_C" >&6
     6186  SDL_VERSION=`sdl-config --version`
     6187  echo $SDL_VERSION
     6188
     6189   CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
     6190
     6191for ac_header in SDL.h
    59946192do
    59956193as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    61376335
    61386336else
    6139   { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
    6140 echo "$as_me: error: cannot find opengl headers" >&2;}
    6141    { (exit 1); exit 1; }; }
    6142 fi
    6143 
    6144 done
    6145 
    6146 # cheking for GLU-header
    6147 
    6148 for ac_header in OpenGL/glu.h
     6337
     6338for ac_header in SDL/SDL.h
    61496339do
    61506340as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    62926482
    62936483else
    6294   { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
    6295 echo "$as_me: error: cannot find opengl headers" >&2;}
     6484  { { echo "$as_me:$LINENO: error: cannot find SDL header. please download from libsdl.org" >&5
     6485echo "$as_me: error: cannot find SDL header. please download from libsdl.org" >&2;}
    62966486   { (exit 1); exit 1; }; }
    62976487fi
     
    62996489done
    63006490
    6301 
    6302    LIBS="$LIBS -framework OpenGL"
    6303 
    6304 
    6305 ## SDL-check
    6306        SDL_CFLAGS=`sdl-config --cflags`
    6307        SDL_LIBS=`sdl-config --libs`
    6308        CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
    6309        LIBS="$LIBS $SDL_LIBS"
    6310 
    6311 
    6312 # checking for SDL-headers
    6313 #    AC_CHECK_HEADERS(SDL/SDL.h ,,
    6314 #      [AC_MSG_ERROR([cannot find SDL headers]) ])
    6315 
    6316 ## checking for SDL
    6317 #    SDL_VERSION=1.2.7
    6318 #    AM_PATH_SDL($SDL_VERSION,
    6319 #      :,
    6320 #      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
    6321 #      )
    6322 
    6323 
     6491fi
     6492
     6493done
     6494
     6495
     6496   LIBS="`sdl-config --libs` $LIBS"
    63246497    ;;
    63256498
    6326   *)
    6327     ;;
    6328 esac
    6329 
    6330 
    6331 
    6332 ###################################
    6333 ## CHECKING FOR HEADERS AND LIBS ##
    6334 ###################################
    6335 
    6336 #---------#
    6337 # SDL_ttf #
    6338 #---------#
    6339 # checking for SDL_ttf-headers
    6340 
    6341 for ac_header in SDL_ttf.h
     6499#-----------#
     6500# MAC -OS X #
     6501#-----------#
     6502 *darwin*)
     6503 echo "OS X detected"
     6504
     6505 osX="yes"
     6506
     6507 CPPFLAGS="-I/sw/include -I/sw/include $CPPFLAGS"
     6508# checking gl header
     6509
     6510for ac_header in OpenGL/gl.h
    63426511do
    63436512as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    64856654
    64866655else
    6487 
    6488 for ac_header in SDL/SDL_ttf.h
     6656  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     6657echo "$as_me: error: cannot find opengl headers" >&2;}
     6658   { (exit 1); exit 1; }; }
     6659fi
     6660
     6661done
     6662
     6663# cheking for GLU-header
     6664
     6665for ac_header in OpenGL/glu.h
    64896666do
    64906667as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    66326809
    66336810else
    6634   { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
    6635 echo "$as_me: error: cannot find SDL_ttf header." >&2;}
     6811  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     6812echo "$as_me: error: cannot find opengl headers" >&2;}
    66366813   { (exit 1); exit 1; }; }
    66376814fi
     
    66396816done
    66406817
    6641 fi
    6642 
    6643 done
    6644 
    6645 # checking for SDL_ttf-lib
    6646   echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
    6647 echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
    6648 if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
    6649   echo $ECHO_N "(cached) $ECHO_C" >&6
    6650 else
    6651   ac_check_lib_save_LIBS=$LIBS
    6652 LIBS="-lSDL_ttf  $LIBS"
    6653 cat >conftest.$ac_ext <<_ACEOF
    6654 /* confdefs.h.  */
    6655 _ACEOF
    6656 cat confdefs.h >>conftest.$ac_ext
    6657 cat >>conftest.$ac_ext <<_ACEOF
    6658 /* end confdefs.h.  */
    6659 
    6660 
    6661 int
    6662 main ()
    6663 {
    6664 main ();
    6665   ;
    6666   return 0;
    6667 }
    6668 _ACEOF
    6669 rm -f conftest.$ac_objext conftest$ac_exeext
    6670 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6671   (eval $ac_link) 2>conftest.er1
    6672   ac_status=$?
    6673   grep -v '^ *+' conftest.er1 >conftest.err
    6674   rm -f conftest.er1
    6675   cat conftest.err >&5
    6676   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6677   (exit $ac_status); } &&
    6678          { ac_try='test -z "$ac_c_werror_flag"
    6679                          || test ! -s conftest.err'
    6680   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6681   (eval $ac_try) 2>&5
    6682   ac_status=$?
    6683   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6684   (exit $ac_status); }; } &&
    6685          { ac_try='test -s conftest$ac_exeext'
    6686   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6687   (eval $ac_try) 2>&5
    6688   ac_status=$?
    6689   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6690   (exit $ac_status); }; }; then
    6691   ac_cv_lib_SDL_ttf_main=yes
    6692 else
    6693   echo "$as_me: failed program was:" >&5
    6694 sed 's/^/| /' conftest.$ac_ext >&5
    6695 
    6696 ac_cv_lib_SDL_ttf_main=no
    6697 fi
    6698 rm -f conftest.err conftest.$ac_objext \
    6699       conftest$ac_exeext conftest.$ac_ext
    6700 LIBS=$ac_check_lib_save_LIBS
    6701 fi
    6702 echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
    6703 echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
    6704 if test $ac_cv_lib_SDL_ttf_main = yes; then
    6705   FOUND_SDL_ttf=yes
    6706 fi
    6707 
    6708      if test x$FOUND_SDL_ttf = xyes ; then
    6709        LIBS="$LIBS -lSDL_ttf"
    6710      else
    6711         echo "------------------"
    6712         echo "SDL_ttf library not found."
    6713         echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
    6714         echo "------------------"
    6715         exit -1
    6716      fi
    6717 
    6718 
    6719 #-----------#
    6720 # SDL_Image #
    6721 #-----------#
    6722 # checking for SDL_image-headers
    6723 
    6724 for ac_header in SDL_image.h
     6818
     6819   LIBS="$LIBS -framework OpenGL"
     6820
     6821
     6822## SDL-check
     6823       SDL_CFLAGS=`sdl-config --cflags`
     6824       SDL_LIBS=`sdl-config --libs`
     6825       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
     6826       LIBS="$LIBS $SDL_LIBS"
     6827
     6828
     6829# checking for SDL-headers
     6830#    AC_CHECK_HEADERS(SDL/SDL.h ,,
     6831#      [AC_MSG_ERROR([cannot find SDL headers]) ])
     6832
     6833## checking for SDL
     6834#    SDL_VERSION=1.2.7
     6835#    AM_PATH_SDL($SDL_VERSION,
     6836#      :,
     6837#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
     6838#      )
     6839
     6840
     6841    ;;
     6842
     6843  *)
     6844    ;;
     6845esac
     6846
     6847
     6848
     6849###################################
     6850## CHECKING FOR HEADERS AND LIBS ##
     6851###################################
     6852
     6853#---------#
     6854# SDL_ttf #
     6855#---------#
     6856# checking for SDL_ttf-headers
     6857
     6858for ac_header in SDL_ttf.h
    67256859do
    67266860as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    68697003else
    68707004
    6871 for ac_header in SDL/SDL_image.h
     7005for ac_header in SDL/SDL_ttf.h
    68727006do
    68737007as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    70157149
    70167150else
    7017   { { echo "$as_me:$LINENO: error: SDL_image header not found." >&5
    7018 echo "$as_me: error: SDL_image header not found." >&2;}
     7151  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
     7152echo "$as_me: error: cannot find SDL_ttf header." >&2;}
    70197153   { (exit 1); exit 1; }; }
    70207154fi
     
    70267160done
    70277161
    7028 # checking for SDL_image-lib
    7029 echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
    7030 echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
    7031 if test "${ac_cv_lib_SDL_image_main+set}" = set; then
     7162# checking for SDL_ttf-lib
     7163  echo "$as_me:$LINENO: checking for TTF_OpenFont in -lSDL_ttf" >&5
     7164echo $ECHO_N "checking for TTF_OpenFont in -lSDL_ttf... $ECHO_C" >&6
     7165if test "${ac_cv_lib_SDL_ttf_TTF_OpenFont+set}" = set; then
    70327166  echo $ECHO_N "(cached) $ECHO_C" >&6
    70337167else
    70347168  ac_check_lib_save_LIBS=$LIBS
    7035 LIBS="-lSDL_image  $LIBS"
     7169LIBS="-lSDL_ttf  $LIBS"
    70367170cat >conftest.$ac_ext <<_ACEOF
    70377171/* confdefs.h.  */
     
    70417175/* end confdefs.h.  */
    70427176
    7043 
     7177/* Override any gcc2 internal prototype to avoid an error.  */
     7178#ifdef __cplusplus
     7179extern "C"
     7180#endif
     7181/* We use char because int might match the return type of a gcc2
     7182   builtin and then its argument prototype would still apply.  */
     7183char TTF_OpenFont ();
    70447184int
    70457185main ()
    70467186{
    7047 main ();
     7187TTF_OpenFont ();
    70487188  ;
    70497189  return 0;
     
    70727212  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    70737213  (exit $ac_status); }; }; then
    7074   ac_cv_lib_SDL_image_main=yes
     7214  ac_cv_lib_SDL_ttf_TTF_OpenFont=yes
    70757215else
    70767216  echo "$as_me: failed program was:" >&5
    70777217sed 's/^/| /' conftest.$ac_ext >&5
    70787218
    7079 ac_cv_lib_SDL_image_main=no
     7219ac_cv_lib_SDL_ttf_TTF_OpenFont=no
    70807220fi
    70817221rm -f conftest.err conftest.$ac_objext \
     
    70837223LIBS=$ac_check_lib_save_LIBS
    70847224fi
    7085 echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
    7086 echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
    7087 if test $ac_cv_lib_SDL_image_main = yes; then
    7088   FOUND_SDL_image=yes
    7089 fi
    7090 
    7091    if test x$FOUND_SDL_image = xyes ; then
    7092      LIBS="$LIBS -lSDL_image"
    7093    else
    7094       echo "------------------"
    7095       echo "SDL_image library not found."
    7096       echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
    7097       echo "------------------"
    7098       exit -1
    7099    fi
    7100 
    7101 #--------#
    7102 # openAL #
    7103 #--------#
    7104 # checking for openAL-headers
    7105 
    7106 for ac_header in AL/al.h
     7225echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_TTF_OpenFont" >&5
     7226echo "${ECHO_T}$ac_cv_lib_SDL_ttf_TTF_OpenFont" >&6
     7227if test $ac_cv_lib_SDL_ttf_TTF_OpenFont = yes; then
     7228  FOUND_SDL_ttf=yes
     7229fi
     7230
     7231     if test x$FOUND_SDL_ttf = xyes ; then
     7232       LIBS="$LIBS -lSDL_ttf"
     7233     else
     7234        echo "------------------"
     7235        echo "SDL_ttf library not found."
     7236        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
     7237        echo "------------------"
     7238        exit -1
     7239     fi
     7240
     7241
     7242#-----------#
     7243# SDL_Image #
     7244#-----------#
     7245# checking for SDL_image-headers
     7246
     7247for ac_header in SDL_image.h
    71077248do
    71087249as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    72507391
    72517392else
    7252   { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
    7253 echo "$as_me: error: cannot find openAL header." >&2;}
    7254    { (exit 1); exit 1; }; }
    7255 fi
    7256 
    7257 done
    7258 
    7259 # checking for openAL-lib
    7260   echo "$as_me:$LINENO: checking for main in -lopenal" >&5
    7261 echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
    7262 if test "${ac_cv_lib_openal_main+set}" = set; then
    7263   echo $ECHO_N "(cached) $ECHO_C" >&6
    7264 else
    7265   ac_check_lib_save_LIBS=$LIBS
    7266 LIBS="-lopenal  $LIBS"
    7267 cat >conftest.$ac_ext <<_ACEOF
    7268 /* confdefs.h.  */
    7269 _ACEOF
    7270 cat confdefs.h >>conftest.$ac_ext
    7271 cat >>conftest.$ac_ext <<_ACEOF
    7272 /* end confdefs.h.  */
    7273 
    7274 
    7275 int
    7276 main ()
    7277 {
    7278 main ();
    7279   ;
    7280   return 0;
    7281 }
    7282 _ACEOF
    7283 rm -f conftest.$ac_objext conftest$ac_exeext
    7284 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7285   (eval $ac_link) 2>conftest.er1
    7286   ac_status=$?
    7287   grep -v '^ *+' conftest.er1 >conftest.err
    7288   rm -f conftest.er1
    7289   cat conftest.err >&5
    7290   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7291   (exit $ac_status); } &&
    7292          { ac_try='test -z "$ac_c_werror_flag"
    7293                          || test ! -s conftest.err'
    7294   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7295   (eval $ac_try) 2>&5
    7296   ac_status=$?
    7297   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7298   (exit $ac_status); }; } &&
    7299          { ac_try='test -s conftest$ac_exeext'
    7300   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7301   (eval $ac_try) 2>&5
    7302   ac_status=$?
    7303   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7304   (exit $ac_status); }; }; then
    7305   ac_cv_lib_openal_main=yes
    7306 else
    7307   echo "$as_me: failed program was:" >&5
    7308 sed 's/^/| /' conftest.$ac_ext >&5
    7309 
    7310 ac_cv_lib_openal_main=no
    7311 fi
    7312 rm -f conftest.err conftest.$ac_objext \
    7313       conftest$ac_exeext conftest.$ac_ext
    7314 LIBS=$ac_check_lib_save_LIBS
    7315 fi
    7316 echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
    7317 echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
    7318 if test $ac_cv_lib_openal_main = yes; then
    7319   FOUND_openal=yes
    7320 fi
    7321 
    7322      if test x$FOUND_openal = xyes ; then
    7323        LIBS="$LIBS -lopenal"
    7324      else
    7325         echo "------------------"
    7326         echo "openal library not found."
    7327         echo "please install the openal library, which can be found at http://www.openal.org"
    7328         echo "------------------"
    7329         exit -1
    7330      fi
    7331 
    7332 #-----#
    7333 # ogg #
    7334 #-----#
    7335 # checking for ogg-headers
    7336 
    7337 for ac_header in ogg/ogg.h
     7393
     7394for ac_header in SDL/SDL_image.h
    73387395do
    73397396as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    74817538
    74827539else
    7483   { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
    7484 echo "$as_me: error: cannot find ogg header." >&2;}
     7540  { { echo "$as_me:$LINENO: error: SDL_image header not found." >&5
     7541echo "$as_me: error: SDL_image header not found." >&2;}
    74857542   { (exit 1); exit 1; }; }
    74867543fi
     
    74887545done
    74897546
    7490 # checking for ogg-lib
    7491   echo "$as_me:$LINENO: checking for main in -logg" >&5
    7492 echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
    7493 if test "${ac_cv_lib_ogg_main+set}" = set; then
     7547fi
     7548
     7549done
     7550
     7551# checking for SDL_image-lib
     7552echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
     7553echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
     7554if test "${ac_cv_lib_SDL_image_main+set}" = set; then
    74947555  echo $ECHO_N "(cached) $ECHO_C" >&6
    74957556else
    74967557  ac_check_lib_save_LIBS=$LIBS
    7497 LIBS="-logg  $LIBS"
     7558LIBS="-lSDL_image  $LIBS"
    74987559cat >conftest.$ac_ext <<_ACEOF
    74997560/* confdefs.h.  */
     
    75347595  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    75357596  (exit $ac_status); }; }; then
    7536   ac_cv_lib_ogg_main=yes
     7597  ac_cv_lib_SDL_image_main=yes
    75377598else
    75387599  echo "$as_me: failed program was:" >&5
    75397600sed 's/^/| /' conftest.$ac_ext >&5
    75407601
    7541 ac_cv_lib_ogg_main=no
     7602ac_cv_lib_SDL_image_main=no
    75427603fi
    75437604rm -f conftest.err conftest.$ac_objext \
     
    75457606LIBS=$ac_check_lib_save_LIBS
    75467607fi
    7547 echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
    7548 echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
    7549 if test $ac_cv_lib_ogg_main = yes; then
    7550   FOUND_ogg=yes
    7551 fi
    7552 
    7553      if test x$FOUND_ogg = xyes ; then
    7554        LIBS="$LIBS -logg"
    7555      else
    7556         echo "------------------"
    7557         echo "ogg library not found."
    7558         echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    7559         echo "------------------"
    7560         exit -1
    7561      fi
     7608echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
     7609echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
     7610if test $ac_cv_lib_SDL_image_main = yes; then
     7611  FOUND_SDL_image=yes
     7612fi
     7613
     7614   if test x$FOUND_SDL_image = xyes ; then
     7615     LIBS="$LIBS -lSDL_image"
     7616   else
     7617      echo "------------------"
     7618      echo "SDL_image library not found."
     7619      echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
     7620      echo "------------------"
     7621      exit -1
     7622   fi
     7623
     7624#-----#
     7625# ogg #
     7626#-----#
     7627## checking for ogg-headers
     7628#  AC_CHECK_HEADERS([ogg/ogg.h] ,,
     7629#      [AC_MSG_ERROR([cannot find ogg header.])])
     7630## checking for ogg-lib
     7631#  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
     7632#     if test x$FOUND_ogg = xyes ; then
     7633#       LIBS="$LIBS -logg"
     7634#     else
     7635#        echo "------------------"
     7636#        echo "ogg library not found."
     7637#        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7638#        echo "------------------"
     7639#        exit -1
     7640#     fi
    75627641
    75637642#--------#
    75647643# vorbis #
    75657644#--------#
    7566 # checking for vorbis-lib
    7567   echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
    7568 echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
    7569 if test "${ac_cv_lib_vorbis_main+set}" = set; then
    7570   echo $ECHO_N "(cached) $ECHO_C" >&6
    7571 else
    7572   ac_check_lib_save_LIBS=$LIBS
    7573 LIBS="-lvorbis  $LIBS"
    7574 cat >conftest.$ac_ext <<_ACEOF
    7575 /* confdefs.h.  */
    7576 _ACEOF
    7577 cat confdefs.h >>conftest.$ac_ext
    7578 cat >>conftest.$ac_ext <<_ACEOF
    7579 /* end confdefs.h.  */
    7580 
    7581 
    7582 int
    7583 main ()
    7584 {
    7585 main ();
    7586   ;
    7587   return 0;
    7588 }
    7589 _ACEOF
    7590 rm -f conftest.$ac_objext conftest$ac_exeext
    7591 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7592   (eval $ac_link) 2>conftest.er1
    7593   ac_status=$?
    7594   grep -v '^ *+' conftest.er1 >conftest.err
    7595   rm -f conftest.er1
    7596   cat conftest.err >&5
    7597   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7598   (exit $ac_status); } &&
    7599          { ac_try='test -z "$ac_c_werror_flag"
    7600                          || test ! -s conftest.err'
    7601   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7602   (eval $ac_try) 2>&5
    7603   ac_status=$?
    7604   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7605   (exit $ac_status); }; } &&
    7606          { ac_try='test -s conftest$ac_exeext'
    7607   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7608   (eval $ac_try) 2>&5
    7609   ac_status=$?
    7610   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7611   (exit $ac_status); }; }; then
    7612   ac_cv_lib_vorbis_main=yes
    7613 else
    7614   echo "$as_me: failed program was:" >&5
    7615 sed 's/^/| /' conftest.$ac_ext >&5
    7616 
    7617 ac_cv_lib_vorbis_main=no
    7618 fi
    7619 rm -f conftest.err conftest.$ac_objext \
    7620       conftest$ac_exeext conftest.$ac_ext
    7621 LIBS=$ac_check_lib_save_LIBS
    7622 fi
    7623 echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
    7624 echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
    7625 if test $ac_cv_lib_vorbis_main = yes; then
    7626   FOUND_vorbis=yes
    7627 fi
    7628 
    7629      if test x$FOUND_vorbis = xyes ; then
    7630        LIBS="$LIBS -lvorbis"
    7631      else
    7632         echo "------------------"
    7633         echo "vorbis library not found."
    7634         echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    7635         echo "------------------"
    7636         exit -1
    7637      fi
     7645## checking for vorbis-lib
     7646#  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
     7647#     if test x$FOUND_vorbis = xyes ; then
     7648#       LIBS="$LIBS -lvorbis"
     7649#     else
     7650#        echo "------------------"
     7651#        echo "vorbis library not found."
     7652#        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7653#        echo "------------------"
     7654#        exit -1
     7655#     fi
    76387656
    76397657#------------#
    76407658# vorbisfile #
    76417659#------------#
    7642 # checking for vorbis-headers
    7643 
    7644 for ac_header in vorbis/vorbisfile.h
    7645 do
    7646 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    7647 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7648   echo "$as_me:$LINENO: checking for $ac_header" >&5
    7649 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    7650 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7651   echo $ECHO_N "(cached) $ECHO_C" >&6
    7652 fi
    7653 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    7654 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    7655 else
    7656   # Is the header compilable?
    7657 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    7658 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    7659 cat >conftest.$ac_ext <<_ACEOF
    7660 /* confdefs.h.  */
    7661 _ACEOF
    7662 cat confdefs.h >>conftest.$ac_ext
    7663 cat >>conftest.$ac_ext <<_ACEOF
    7664 /* end confdefs.h.  */
    7665 $ac_includes_default
    7666 #include <$ac_header>
    7667 _ACEOF
    7668 rm -f conftest.$ac_objext
    7669 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7670   (eval $ac_compile) 2>conftest.er1
    7671   ac_status=$?
    7672   grep -v '^ *+' conftest.er1 >conftest.err
    7673   rm -f conftest.er1
    7674   cat conftest.err >&5
    7675   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7676   (exit $ac_status); } &&
    7677          { ac_try='test -z "$ac_c_werror_flag"
    7678                          || test ! -s conftest.err'
    7679   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7680   (eval $ac_try) 2>&5
    7681   ac_status=$?
    7682   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7683   (exit $ac_status); }; } &&
    7684          { ac_try='test -s conftest.$ac_objext'
    7685   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7686   (eval $ac_try) 2>&5
    7687   ac_status=$?
    7688   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7689   (exit $ac_status); }; }; then
    7690   ac_header_compiler=yes
    7691 else
    7692   echo "$as_me: failed program was:" >&5
    7693 sed 's/^/| /' conftest.$ac_ext >&5
    7694 
    7695 ac_header_compiler=no
    7696 fi
    7697 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7698 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    7699 echo "${ECHO_T}$ac_header_compiler" >&6
    7700 
    7701 # Is the header present?
    7702 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    7703 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    7704 cat >conftest.$ac_ext <<_ACEOF
    7705 /* confdefs.h.  */
    7706 _ACEOF
    7707 cat confdefs.h >>conftest.$ac_ext
    7708 cat >>conftest.$ac_ext <<_ACEOF
    7709 /* end confdefs.h.  */
    7710 #include <$ac_header>
    7711 _ACEOF
    7712 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    7713   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    7714   ac_status=$?
    7715   grep -v '^ *+' conftest.er1 >conftest.err
    7716   rm -f conftest.er1
    7717   cat conftest.err >&5
    7718   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7719   (exit $ac_status); } >/dev/null; then
    7720   if test -s conftest.err; then
    7721     ac_cpp_err=$ac_c_preproc_warn_flag
    7722     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    7723   else
    7724     ac_cpp_err=
    7725   fi
    7726 else
    7727   ac_cpp_err=yes
    7728 fi
    7729 if test -z "$ac_cpp_err"; then
    7730   ac_header_preproc=yes
    7731 else
    7732   echo "$as_me: failed program was:" >&5
    7733 sed 's/^/| /' conftest.$ac_ext >&5
    7734 
    7735   ac_header_preproc=no
    7736 fi
    7737 rm -f conftest.err conftest.$ac_ext
    7738 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    7739 echo "${ECHO_T}$ac_header_preproc" >&6
    7740 
    7741 # So?  What about this header?
    7742 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    7743   yes:no: )
    7744     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    7745 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    7746     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    7747 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    7748     ac_header_preproc=yes
    7749     ;;
    7750   no:yes:* )
    7751     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    7752 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    7753     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    7754 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    7755     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    7756 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    7757     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    7758 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    7759     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    7760 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    7761     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    7762 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    7763     (
    7764       cat <<\_ASBOX
    7765 ## ---------------------------------------------- ##
    7766 ## Report this to orxonox-dev at mail.datacore.ch ##
    7767 ## ---------------------------------------------- ##
    7768 _ASBOX
    7769     ) |
    7770       sed "s/^/$as_me: WARNING:     /" >&2
    7771     ;;
    7772 esac
    7773 echo "$as_me:$LINENO: checking for $ac_header" >&5
    7774 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    7775 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7776   echo $ECHO_N "(cached) $ECHO_C" >&6
    7777 else
    7778   eval "$as_ac_Header=\$ac_header_preproc"
    7779 fi
    7780 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    7781 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    7782 
    7783 fi
    7784 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    7785   cat >>confdefs.h <<_ACEOF
    7786 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    7787 _ACEOF
    7788 
    7789 else
    7790   { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
    7791 echo "$as_me: error: cannot find vorbisfile header." >&2;}
    7792    { (exit 1); exit 1; }; }
    7793 fi
    7794 
    7795 done
    7796 
    7797 # checking for vorbisfile-lib
    7798   echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
    7799 echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
    7800 if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
    7801   echo $ECHO_N "(cached) $ECHO_C" >&6
    7802 else
    7803   ac_check_lib_save_LIBS=$LIBS
    7804 LIBS="-lvorbisfile  $LIBS"
    7805 cat >conftest.$ac_ext <<_ACEOF
    7806 /* confdefs.h.  */
    7807 _ACEOF
    7808 cat confdefs.h >>conftest.$ac_ext
    7809 cat >>conftest.$ac_ext <<_ACEOF
    7810 /* end confdefs.h.  */
    7811 
    7812 
    7813 int
    7814 main ()
    7815 {
    7816 main ();
    7817   ;
    7818   return 0;
    7819 }
    7820 _ACEOF
    7821 rm -f conftest.$ac_objext conftest$ac_exeext
    7822 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7823   (eval $ac_link) 2>conftest.er1
    7824   ac_status=$?
    7825   grep -v '^ *+' conftest.er1 >conftest.err
    7826   rm -f conftest.er1
    7827   cat conftest.err >&5
    7828   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7829   (exit $ac_status); } &&
    7830          { ac_try='test -z "$ac_c_werror_flag"
    7831                          || test ! -s conftest.err'
    7832   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7833   (eval $ac_try) 2>&5
    7834   ac_status=$?
    7835   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7836   (exit $ac_status); }; } &&
    7837          { ac_try='test -s conftest$ac_exeext'
    7838   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7839   (eval $ac_try) 2>&5
    7840   ac_status=$?
    7841   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7842   (exit $ac_status); }; }; then
    7843   ac_cv_lib_vorbisfile_main=yes
    7844 else
    7845   echo "$as_me: failed program was:" >&5
    7846 sed 's/^/| /' conftest.$ac_ext >&5
    7847 
    7848 ac_cv_lib_vorbisfile_main=no
    7849 fi
    7850 rm -f conftest.err conftest.$ac_objext \
    7851       conftest$ac_exeext conftest.$ac_ext
    7852 LIBS=$ac_check_lib_save_LIBS
    7853 fi
    7854 echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
    7855 echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
    7856 if test $ac_cv_lib_vorbisfile_main = yes; then
    7857   FOUND_vorbisfile=yes
    7858 fi
    7859 
    7860      if test x$FOUND_vorbisfile = xyes ; then
    7861        LIBS="$LIBS -lvorbisfile"
    7862      else
    7863         echo "------------------"
    7864         echo "vorbisfile library not found."
    7865         echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    7866         echo "------------------"
    7867         exit -1
    7868      fi
     7660## checking for vorbis-headers
     7661#  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
     7662#      [AC_MSG_ERROR([cannot find vorbisfile header.])])
     7663## checking for vorbisfile-lib
     7664#  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
     7665#     if test x$FOUND_vorbisfile = xyes ; then
     7666#       LIBS="$LIBS -lvorbisfile"
     7667#     else
     7668#        echo "------------------"
     7669#        echo "vorbisfile library not found."
     7670#        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7671#        echo "------------------"
     7672#        exit -1
     7673#     fi
    78697674
    78707675#-----#
     
    1051710322  # Extract the definition of DEP_FILES from the Makefile without
    1051810323  # running `make'.
    10519   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
     10324  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
    1052010325  test -z "$DEPDIR" && continue
    1052110326  # When using ansi2knr, U may be empty or an underscore; expand it
    10522   U=`sed -n 's/^U = //p' < "$mf"`
     10327  U=`sed -n -e '/^U = / s///p' < "$mf"`
    1052310328  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
    1052410329  # We invoke sed twice because it is the simplest approach to
    1052510330  # changing $(DEPDIR) to its actual value in the expansion.
    10526   for file in `sed -n '
     10331  for file in `sed -n -e '
    1052710332    /^DEP_FILES = .*\\\\$/ {
    1052810333      s/^DEP_FILES = //
Note: See TracChangeset for help on using the changeset viewer.